{
  "compilerOptions": {
    "target": "ES2022",
    "lib": ["ES2022", "DOM", "DOM.Iterable"],
    "module": "ESNext",
    "moduleResolution": "bundler",
    "strict": true,
    "noUnusedLocals": false,
    "noUnusedParameters": false,
    "noFallthroughCasesInSwitch": true,
    "forceConsistentCasingInFileNames": true,
    "skipLibCheck": true,
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "sourceMap": true,
    "baseUrl": ".",
    "paths": {
      "@/*": ["src/*"],
      "@display/*": ["src/display/*"],
      "@text/*": ["src/text/*"],
      "@yakus/*": ["src/yakus/*"]
    }
  },
  "include": ["src/**/*.ts", "tests/**/*.ts", "vite.config.ts"],
  "exclude": ["node_modules", "dist", "build"]
}

